%global pypi_name proto_plus
Name:           python-proto-plus
Version:        1.25.0
Release:        %mkrel 2
Summary:       Beautiful, Pythonic protocol buffers
Group:            Development/Python

License:        ASL
URL:            https://github.com/googleapis/proto-plus-python.git
Source:         %{pypi_source proto_plus}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
This is a wrapper around protocol buffers. Protocol buffers is a
specification format for APIs, such as those inside Google. This
library provides protocol buffer message classes and objects
that largely behave like native Python types.}


%description %_description

%package -n     python3-proto-plus
Summary:        %{summary}

%description -n python3-proto-plus %_description


%prep
%autosetup -p1 -n proto_plus-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files proto


%files -n python3-proto-plus -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 1.25.0-2.mga10
+ Revision: 2157352
- rebuild for python3.13

* Fri Dec 20 2024 papoteur <papoteur> 1.25.0-1.mga10
+ Revision: 2126687
- imported package python-proto-plus

